// Karma configuration
// Generated on Wed Mar 29 2017 16:16:32 GMT+0800 (CST)

module.exports = function(config) {
  var configuration = {

    // base path that will be used to resolve all patterns (eg. files, exclude)
    basePath: '..',

    customContextFile: 'test/karma-context.html',


    // frameworks to use
    // available frameworks: https://npmjs.org/browse/keyword/karma-adapter
    frameworks: ['jasmine'],


    // list of files / patterns to load in the browser
    files: [
      'test/lib/triggerEvent.js',
      'dist/san.dev.js',
      'test/**/*.spec.js'
    ],


    // list of files to exclude
    exclude: [
        'test/e2e/*spec.js',
    ],

    // preprocess matching files before serving them to the browser
    // available preprocessors: https://npmjs.org/browse/keyword/karma-preprocessor
    preprocessors: {},


    // test results reporter to use
    // possible values: 'dots', 'progress'
    // available reporters: https://npmjs.org/browse/keyword/karma-reporter
    reporters: ['progress'],


    // web server port
    port: 9876,


    // enable / disable colors in the output (reporters and logs)
    colors: true,


    // level of logging
    // possible values: config.LOG_DISABLE || config.LOG_ERROR || config.LOG_WARN || config.LOG_INFO || config.LOG_DEBUG
    logLevel: config.LOG_INFO,


    // enable / disable watching file and executing tests whenever any file changes
    autoWatch: true,


    // start these browsers
    // available browser launchers: https://npmjs.org/browse/keyword/karma-launcher
    browsers: ['Chrome'],

    customLaunchers: {
        Chrome_travis_ci: {
            base: 'Chrome',
            flags: ['--no-sandbox']
        }
    },


    // Continuous Integration mode
    // if true, Karma captures browsers, runs the tests and exits
    singleRun: false,

    // Concurrency level
    // how many browser should be started simultaneous
    concurrency: Infinity
  };


  if (process.argv.indexOf('--coverage') > -1) {

    configuration.reporters.push('coverage','karma-remap-istanbul');
    configuration.preprocessors['dist/san.dev.js'] = ['coverage','sourcemap'];
    configuration.remapIstanbulReporter = {
        reports:{
            html: 'coverage/html',
            lcovonly: 'coverage/report-lcov/lcov.info',
        }
    };

  }

  if (process.env.TRAVIS) {
    configuration.browsers = ['Chrome_travis_ci'];
  }


  config.set(configuration);
};
